#!/bin/bash

# Channel     VID   AID                                 PID   TID
# Sat.1       385   386(deu),392(ac3),            391   16408 13057 Tde-Nuernberg     626000      2/3   -     16    -     8     8     1/4
# ProSieben   305   306(deu),312(ac3),            311   16403 13057 Tde-Nuernberg     626000      2/3   -     16    -     8     8     1/4
# kabel eins  161   162(deu),                     167   16394 13057 Tde-Nuernberg     626000      2/3   -     16    -     8     8     1/4
# N24         225   226(deu),                     231   16398 13057 Tde-Nuernberg     626000      2/3   -     16    -     8     8     1/4

maxcon="5"
myip="10.33.6.6"
if [ -z "$1" ]
then
	selcrd="0"
else
	selcrd="$1"
fi
let "epgport = selcrd + 4000"
let "timport = epgport + 100"
echo "Trying to run unicast stream from ${selcrd} with maxcon=${maxcon} - EPG on port ${epgport} ${timport}"
./getstream -a ${selcrd} \
	-f channels.conf \
	-l ${maxcon} \
	-d 1 \
	-p -18:${myip}:${epgport} \
	-p -20:${myip}:${timport} \
	-p 1:${myip}:8081 \
	-p 2:${myip}:8082 \
	-p 3:${myip}:8083 \
	-p 4:${myip}:8084 \
	-p 5:${myip}:8085 \
	-p 10:${myip}:8087 \
	-p 11:${myip}:8088 \
	-p 12:${myip}:8089 \
	-p 13:${myip}:8090 \
	-p 14:${myip}:8091 \
	-p 15:${myip}:8092 \
	-p 16:${myip}:8093
